---

# Auto-generated with Jsonnet from go-packages.jsonnet
# Do NOT edit!!

- block:
  - command:
      cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/ewhauser/bazel-differ/cli@latest"
      removes: "/usr/bin/go"
    name: "bazel-differ | Run go install"
  - command:
      cmd: "mv \"$GOPATH\"/bin/cli \"$GOPATH\"/bin/bazel-differ"
      removes: "{{ ansible_env.GOPATH }}/bin/cli"
    name: "bazel-differ | Rename the binary file"
  name: "packages | Install bazel-differ"
  tags:
  - "bazel-differ"
  - "bazel"
- block:
  - command:
      cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/{{ item }}@latest"
      removes: "/usr/bin/go"
    loop:
    - "terraform-linters/tflint"
    - "terraform-linters/tflint-ruleset-google"
    - "terraform-linters/tflint-ruleset-azurerm"
    - "terraform-linters/tflint-ruleset-aws"
    - "awslabs/serverless-rules/tflint-ruleset-aws-serverless"
    name: "packages | Install tflint and some cloud ruleset plugins"
  - file:
      mode: "755"
      path: "~/.tflint.d/plugins"
      state: "directory"
    name: "tflint | Create tflint plugins directory"
  - args:
      creates: "~/.tflint.d/plugins/{{ item }}"
      removes: "{{ ansible_env.GOPATH }}/bin/{{ item }}"
    command: "/bin/mv {{ ansible_env.GOPATH }}/bin/{{ item }} ~/.tflint.d/plugins/"
    loop:
    - "tflint-ruleset-google"
    - "tflint-ruleset-azurerm"
    - "tflint-ruleset-aws"
    - "tflint-ruleset-aws-serverless"
    name: "tflint | Copy tflint ruleset binaries to plugins directory"
  name: "packages | Install tflint suites"
  tags: "tflint"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/josharian/impl@latest"
    removes: "/usr/bin/go"
  name: "packages | Install impl"
  tags:
  - "impl"
  - "linters"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" mvdan.cc/gofumpt@latest"
    removes: "/usr/bin/go"
  name: "packages | Install gofumpt"
  tags:
  - "gofumpt"
  - "linters"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/fatih/gomodifytags@latest"
    removes: "/usr/bin/go"
  name: "packages | Install gomodifytags"
  tags:
  - "gomodifytags"
  - "linters"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" golang.org/x/tools/cmd/goimports@latest"
    removes: "/usr/bin/go"
  name: "packages | Install goimports"
  tags:
  - "goimports"
  - "linters"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/goodwithtech/dockle/cmd/dockle@latest"
    removes: "/usr/bin/go"
  name: "packages | Install dockle"
  tags:
  - "dockle"
  - "linters"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/google/yamlfmt/cmd/yamlfmt@latest"
    removes: "/usr/bin/go"
  name: "packages | Install yamlfmt"
  tags:
  - "yamlfmt"
  - "linters"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/bazelbuild/bazelisk@latest"
    removes: "/usr/bin/go"
  name: "packages | Install bazelisk"
  tags:
  - "bazelisk"
  - "bazel"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/bazelbuild/buildtools/buildifier@latest"
    removes: "/usr/bin/go"
  name: "packages | Install buildifier"
  tags:
  - "buildifier"
  - "bazel"
  - "buildtools"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/bazelbuild/buildtools/buildozer@latest"
    removes: "/usr/bin/go"
  name: "packages | Install buildozer"
  tags:
  - "buildozer"
  - "bazel"
  - "buildtools"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/bazelbuild/bazel-gazelle/cmd/gazelle@latest"
    removes: "/usr/bin/go"
  name: "packages | Install gazelle"
  tags:
  - "gazelle"
  - "bazel"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/sqls-server/sqls@latest"
    removes: "/usr/bin/go"
  name: "packages | Install sqls"
  tags:
  - "sqls"
  - "lspservers"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/kitagry/regols@latest"
    removes: "/usr/bin/go"
  name: "packages | Install regols"
  tags:
  - "regols"
  - "lspservers"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/cosmtrek/air@latest"
    removes: "/usr/bin/go"
  name: "packages | Install air"
  tags: "air"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/loeffel-io/ls-lint/v2/cmd/ls_lint@latest"
    removes: "/usr/bin/go"
  name: "packages | Install ls-lint"
  tags: "ls-lint"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/cruise-automation/isopod@latest"
    removes: "/usr/bin/go"
  name: "packages | Install isopod"
  tags: "isopod"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/vmware-tanzu/carvel-kapp/cmd/kapp@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kapp"
  tags: "kapp"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/kluctl/kluctl/v2@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kluctl"
  tags: "kluctl"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/controlplaneio/kubesec/v2@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kubesec"
  tags: "kubesec"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/yannh/kubeconform/cmd/kubeconform@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kubeconform"
  tags: "kubeconform"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" golang.stackrox.io/kube-linter/cmd/kube-linter@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kube-linter"
  tags: "kube-linter"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/iovisor/kubectl-trace/cmd/kubectl-trace@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kubectl-trace"
  tags: "kubectl-trace"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/corneliusweig/rakkess@latest"
    removes: "/usr/bin/go"
  name: "packages | Install rakkess"
  tags: "rakkess"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/nikolaydubina/vertfn@latest"
    removes: "/usr/bin/go"
  name: "packages | Install vertfn"
  tags: "vertfn"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/folbricht/tpmk/cmd/tpmk@latest"
    removes: "/usr/bin/go"
  name: "packages | Install tpmk"
  tags: "tpmk"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/CondensedMilk7/countryfetch/cmd/countryfetch@latest"
    removes: "/usr/bin/go"
  name: "packages | Install countryfetch"
  tags: "countryfetch"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/ankitpokhrel/jira-cli/cmd/jira@latest"
    removes: "/usr/bin/go"
  name: "packages | Install jira-cli"
  tags: "jira-cli"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/yuzutech/kroki-cli/cmd/kroki@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kroki-cli"
  tags: "kroki-cli"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/go-phie/gophie@latest"
    removes: "/usr/bin/go"
  name: "packages | Install gophie"
  tags: "gophie"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/irevenko/koneko@latest"
    removes: "/usr/bin/go"
  name: "packages | Install koneko"
  tags: "koneko"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/irevenko/what-anime-cli@latest"
    removes: "/usr/bin/go"
  name: "packages | Install what-anime-cli"
  tags: "what-anime-cli"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/betapictoris/wiki@latest"
    removes: "/usr/bin/go"
  name: "packages | Install wiki"
  tags: "wiki"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/iawia002/lux@latest"
    removes: "/usr/bin/go"
  name: "packages | Install lux"
  tags: "lux"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/raviqqe/muffet/v2@latest"
    removes: "/usr/bin/go"
  name: "packages | Install muffet"
  tags: "muffet"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/fogleman/primitive@latest"
    removes: "/usr/bin/go"
  name: "packages | Install primitive"
  tags: "primitive"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/liamg/guerrilla/cmd/guerrilla@latest"
    removes: "/usr/bin/go"
  name: "packages | Install guerrilla"
  tags: "guerrilla"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/rfjakob/cshatag@latest"
    removes: "/usr/bin/go"
  name: "packages | Install cshatag"
  tags: "cshatag"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/cloudflare/gokey/cmd/gokey@latest"
    removes: "/usr/bin/go"
  name: "packages | Install gokey"
  tags: "gokey"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/mbrt/gmailctl/cmd/gmailctl@latest"
    removes: "/usr/bin/go"
  name: "packages | Install gmailctl"
  tags: "gmailctl"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/josephburnett/jd@latest"
    removes: "/usr/bin/go"
  name: "packages | Install jd"
  tags: "jd"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/tmccombs/hcl2json@latest"
    removes: "/usr/bin/go"
  name: "packages | Install hcl2json"
  tags: "hcl2json"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/mcuadros/ascode@latest"
    removes: "/usr/bin/go"
  name: "packages | Install ascode"
  tags: "ascode"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/grafana/dashboard-linter@latest"
    removes: "/usr/bin/go"
  name: "packages | Install dashboard-linter"
  tags: "dashboard-linter"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/google/oauth2l@latest"
    removes: "/usr/bin/go"
  name: "packages | Install oauth2l"
  tags: "oauth2l"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/cloudentity/oauth2c@latest"
    removes: "/usr/bin/go"
  name: "packages | Install oauth2c"
  tags: "oauth2c"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/go-enry/enry@latest"
    removes: "/usr/bin/go"
  name: "packages | Install enry"
  tags: "enry"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/danvergara/dblab@latest"
    removes: "/usr/bin/go"
  name: "packages | Install dblab"
  tags: "dblab"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/mineiros-io/terramate/cmd/terramate@latest"
    removes: "/usr/bin/go"
  name: "packages | Install terramate"
  tags: "terramate"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/mickael-menu/zk@latest"
    removes: "/usr/bin/go"
  name: "packages | Install zk"
  tags: "zk"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/charmbracelet/mods@latest"
    removes: "/usr/bin/go"
  name: "packages | Install mods"
  tags: "mods"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" mvdan.cc/garble@latest"
    removes: "/usr/bin/go"
  name: "packages | Install garble"
  tags: "garble"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/plexsystems/konstraint@latest"
    removes: "/usr/bin/go"
  name: "packages | Install konstraint"
  tags: "konstraint"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/reproducible-containers/diffoci/cmd/diffoci@latest"
    removes: "/usr/bin/go"
  name: "packages | Install diffoci"
  tags: "diffoci"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/reproducible-containers/buildkit-nix/cmd/buildkit-nix@latest"
    removes: "/usr/bin/go"
  name: "packages | Install buildkit-nix"
  tags: "buildkit-nix"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/styrainc/regal@latest"
    removes: "/usr/bin/go"
  name: "packages | Install regal"
  tags: "regal"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/google/go-licenses@latest"
    removes: "/usr/bin/go"
  name: "packages | Install go-licenses"
  tags: "go-licenses"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/pulumi/crd2pulumi@latest"
    removes: "/usr/bin/go"
  name: "packages | Install crd2pulumi"
  tags:
  - "crd2pulumi"
  - "pulumi-addons"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/pulumi/schema-tools@latest"
    removes: "/usr/bin/go"
  name: "packages | Install schema-tools"
  tags:
  - "schema-tools"
  - "pulumi-addons"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/pulumi/kubespy@latest"
    removes: "/usr/bin/go"
  name: "packages | Install kubespy"
  tags: "kubespy"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/pulumi/registrygen@latest"
    removes: "/usr/bin/go"
  name: "packages | Install registrygen"
  tags:
  - "registrygen"
  - "pulumi-addons"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/pulumi/pulumictl/cmd/pulumictl@latest"
    removes: "/usr/bin/go"
  name: "packages | Install pulumictl"
  tags:
  - "pulumictl"
  - "pulumi-addons"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/pulumi/pulumi-trace-tool@latest"
    removes: "/usr/bin/go"
  name: "packages | Install pulumi-trace-tool"
  tags:
  - "pulumi-trace-tool"
  - "pulumi-addons"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" oss.terrastruct.com/d2@latest"
    removes: "/usr/bin/go"
  name: "packages | Install d2"
  tags: "d2"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/quay/clair/v4/cmd/clairctl@latest"
    removes: "/usr/bin/go"
  name: "packages | Install clairctl"
  tags: "clairctl"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" github.com/hashicorp/packer@latest"
    removes: "/usr/bin/go"
  name: "packages | Install packer"
  tags: "packer"
- command:
    cmd: "/usr/bin/go install -ldflags \"-s -w\" golang.org/x/telemetry/cmd/gotelemetry@latest"
    removes: "/usr/bin/go"
  name: "packages | Install gotelemetry"
  tags: "gotelemetry"
